Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 31 Aug 2015 17:51:49 +1000

Hi Ricard,

On Mon, 31 Aug 2015 17:48:42 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> On Mon, 31 Aug 2015 09:04:22 +0200 Ricard Wanderlof <[email-masked]> wrote:
> >
> > On Fri, 28 Aug 2015, Mark Brown wrote:
> > 
> > > On Fri, Aug 28, 2015 at 09:40:41AM +0200, Ricard Wanderlof wrote:
> > > > On Fri, 28 Aug 2015, Stephen Rothwell wrote:
> > > 
> > > > In fact the exact same construct is used by a handful of other codec 
> > > > drivers which apparently don't fail.
> > > 
> > > > I'm suspecting something slightly more convoluted like a missing 
> > > #include .
> > > 
> > > No, the issue is that you have used a different variable name when 
> > > declaring the IDs and when referencing them in the module device table.
> > 
> > Yeah, I realized that upon closer inspection. 
> > 
> > What bugs me is that my ARM gcc didn't seem to flag this, whereas the 
> > x86 gcc did upon subsequent testing. And yes, CONFIG_OF is set during my 
> > build.
> 
> Do you have CONFIG_MODULE set in your build? (just guessing)

Actually what matters is if you build the driver as a module or not.
See include/linux/module.h and the definitions of MODULE_DEVICE_TABLE().

-- 
Cheers,
Stephen Rothwell                    [email-masked]